/* Apply the current sort order to all subfolders */

import se.datadosen.explorer.*;
import se.datadosen.jalbum.*;

JAlbumContext context = JAlbumContext.getInstance();
cf = context.getExplorer().currentFolder;

void applyOrdering(AlbumObject folder) {
	for (AlbumObject ao : folder.getChildren()) {
		if (ao.isFolder() && ao.getFile().exists()) {
			ao.setOrdering(cf.getOrdering());
			ao.setFolderOrdering(cf.getFolderOrdering());
			ao.setFoldersFirst(cf.isFoldersFirst());
			ao.setReverseOrdering(cf.isReverseOrdering());
			ao.setReverseFolderOrdering(cf.isReverseFolderOrdering());
			ao.invalidate();
			System.out.println("Applying to " + ao);
			applyOrdering(ao);
		}
	}
}

applyOrdering(cf);
